aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-packaging/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'main/py-packaging/APKBUILD')
-rw-r--r--main/py-packaging/APKBUILD49
1 files changed, 49 insertions, 0 deletions
diff --git a/main/py-packaging/APKBUILD b/main/py-packaging/APKBUILD
new file mode 100644
index 0000000000..9b60bcd09b
--- /dev/null
+++ b/main/py-packaging/APKBUILD
@@ -0,0 +1,49 @@
+# Maintainer: Breno Leitao <breno.leitao@gmail.com>
+pkgname=py-packaging
+_pkgname=packaging
+pkgver=17.1
+pkgrel=0
+pkgdesc="Core utilities for Python packages"
+url="https://pypi.python.org/pypi/packaging"
+arch="noarch"
+license="Apache-2.0 BSD"
+depends="py-parsing py-six"
+subpackages="py2-${pkgname#py-}:_py2 py3-${pkgname#py-}:_py3"
+makedepends="python3-dev python2-dev py-setuptools"
+source="https://files.pythonhosted.org/packages/source/p/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+ python2 setup.py build || return 1
+ python3 setup.py build || return 1
+}
+
+package() {
+ mkdir -p "$pkgdir"
+}
+
+
+_py2() {
+ replaces="$pkgname"
+ depends="${depends//py-/py2-}"
+ _py python2
+}
+
+_py3() {
+ depends="${depends//py-/py3-}"
+ _py python3
+}
+
+_py() {
+ local python="$1"
+ pkgdesc="$pkgdesc (for $python)"
+ depends="$depends $python"
+ install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+ cd "$builddir"
+ $python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+
+sha512sums="52d2f482ae5cd0f8e7b3ac35c4b270ca736bc4f7ebaa569631d1dcb8ea024ee6f75127ca2aa3c95e686ebbd427de2ef4bc01bcd839591f7b4c1e26f9b8d9acb0 packaging-17.1.tar.gz"